name: vimix
base: core18
version: '0.6'
summary: Live video mixing
title: vimix
description: |
   vimix performs graphical mixing and blending of several movie clips and
   computer generated graphics, with image processing effects in real-time.
   Its intuitive and hands-on user interface gives direct control on image opacity and
   shape for producing live graphics during concerts and VJ-ing sessions.
   The ouput image is typically projected full-screen on an external
   monitor or a projector, but can be recorded live (no audio).
icon: snap/gui/vimix.svg
license: GPL-3.0+
grade: stable # must be 'stable' to release into candidate/stable channels
confinement: strict # use 'strict' once you have the right plugs and slots
    
apps:
  vimix:
    extensions: [gnome-3-28]
    command: bin/vimix
    adapter: full
    plugs:
      - desktop
      - desktop-legacy
      - gsettings
      - unity7
      - wayland
      - x11
      - opengl
      - home
      - network
      - camera
      - raw-usb
      - removable-media
    environment:
       GST_PLUGIN_PATH: $SNAP/usr/lib/x86_64-linux-gnu/gstreamer-1.0
       GST_PLUGIN_SYSTEM_PATH : $SNAP/usr/lib/x86_64-linux-gnu/gstreamer-1.0
       GST_PLUGIN_SCANNER: $SNAP/usr/lib/x86_64-linux-gnu/gstreamer1.0/gstreamer-1.0/gst-plugin-scanner
       FREI0R_PATH: $SNAP/usr/lib/frei0r-1

parts:
  vimix-binary:
    plugin: cmake
    source: .
    configflags: 
    - -DCMAKE_INSTALL_PREFIX=/
    - -DCMAKE_BUILD_TYPE=RelWithDebInfo
    build-packages:
    -  g++
    -  make
    -  git
    -  libpng-dev
    -  libxrandr-dev
    -  libglfw3-dev
    -  libgstreamer1.0-dev
    -  libgstreamer-plugins-base1.0-dev
    -  libicu-dev
    stage-packages:
    -  libpng16-16
    -  libglu1-mesa
    -  freeglut3
    -  libglfw3
    -  frei0r-plugins
    -  libgstreamer1.0-0
    -  libgstreamer-gl1.0-0
    -  libgstreamer-plugins-base1.0-0
    -  libgstreamer-plugins-good1.0-0
    -  libgstreamer-plugins-bad1.0-0
    -  gstreamer1.0-libav
    -  gstreamer1.0-vaapi
    -  gstreamer1.0-x
    -  gstreamer1.0-plugins-base
    -  gstreamer1.0-plugins-good
    -  gstreamer1.0-plugins-bad
    -  gstreamer1.0-plugins-ugly
    -  libgpm2
    -  libslang2

    
    
